Go Down

Topic: Windows version Problem (Read 575 times) previous topic - next topic

Acetronics

Hi,

till some days, I had no problems with Arduino IDE aboard Win XP SP3 ( Home )

without any obvious reasons ( no computer changes, updates or crashes ) , It doesnt want to compile any more some of my sketches.

BUT ... it still compiles them fine aboard a WIN10 system ...

of course ... the XP system is my Electronics dedicated system ... ( no way to upgrade to W7 or 10 !!! - precious old programs to absolutely keep - )

Here joined are two examples of the returned debug file.

Have an idea of what happened ??? ( and better how to fix that ! )

Alain

OldSteve

This is a common problem, due to the later versions of "ld.exe" not being fully compatible with Windows XP.
A common fix is to download the zipped copy of IDE V1.0.6, then replace your current "ld.exe" with the version from the downloaded files.
That worked for me on my second machine, which is still running Win XP SP3 with IDE V1.6.5. You'll have to hope it also works with your later IDE V1.6.12.
Please do not PM me for help. I am not a personal consultant.
And others will benefit as well if you post your question publicly on the forums.

Acetronics

#2
Oct 17, 2016, 02:50 pm Last Edit: Oct 17, 2016, 02:58 pm by Acetronics
Hi, Steve

Thanks for the tip, but no joy ...

the displayed error is the same kind.

I reloaded V1.06 ... and it compiles fine again !!!

What I cannot understand is some programs compile with 1.6.12 bus some don't ...  ( With XP )

the last version that did work here was 1.6.9 ... but reloading it do not fix the problem ...

Alain

OldSteve

#3
Oct 17, 2016, 02:58 pm Last Edit: Oct 17, 2016, 03:05 pm by OldSteve
Hi, Steve

Thanks for the tip, but no joy ...

the displayed error is the same kind.

Alain
There have been a couple of other fixes that have worked for some people. I can't remember the details though, since swapping ld.exe worked fine for me.

Here's a couple of threads on the subject:-
http://forum.arduino.cc/index.php?topic=316146.msg2200582#msg2200582

http://forum.arduino.cc/index.php?topic=310950.msg2282115#msg2282115

https://forum.arduino.cc/index.php?topic=313442.msg2248802#msg2248802

If you still have no luck, you might have no choice but to go back to an early version of the IDE like V1.0.6.
Edit: Or a combination - perhaps IDE V1.6.5 with ld.exe from V1.0.6. (That's the combo that works fine on my Win XP machine.)

Good luck. :)

Edit2: I see you edited while I was typing, and already re-installed V1.0.6. You could still try 1.6.5 or 1.6.9, with the early ld.exe, but otherwise you might be stuck with 1.0.6 unless another of the fixes mentioned in those threads works for you.
Please do not PM me for help. I am not a personal consultant.
And others will benefit as well if you post your question publicly on the forums.

Acetronics

#4
Oct 17, 2016, 03:49 pm Last Edit: Oct 17, 2016, 03:57 pm by Acetronics
Hi, Steve

I tried lots of things ...

but the only reliable attempt shows V1.6.5 r5 ( "genuine" ) is the only trustable version for XT users ...

Thanks for your kind help

Alain

Go Up